Project Chrono: chrono::vehicle::NonlinearDamperForce Class Reference

Public Member Functions | List of all members
chrono::vehicle::NonlinearDamperForce Class Reference
VEHICLE module

## Description

Utility class for specifying a nonlinear translational damper force.

F = -mapC(vel)

`#include <ChSubsysDefs.h>`

Inheritance diagram for chrono::vehicle::NonlinearDamperForce:
[legend]
Collaboration diagram for chrono::vehicle::NonlinearDamperForce:
[legend]

## Public Member Functions
| NonlinearDamperForce (const std::vector< std::pair< double, double > > &dataC)
void | add_pointC (double x, double y)
virtual double | evaluate (double time, double rest_length, double length, double vel, const ChLinkTSDA &link) override
| Calculate and return the general spring-damper force at the specified configuration.
virtual rapidjson::Value | exportJSON (rapidjson::Document::AllocatorType &allocator) override
| Optional reporting function to generate a JSON value with functor information.

## Member Function Documentation

## ◆ evaluate()

double chrono::vehicle::NonlinearDamperForce::evaluate | ( | double | time,
|  | double | rest_length,
|  | double | length,
|  | double | vel,
|  | const ChLinkTSDA & | link )
| overridevirtual

Calculate and return the general spring-damper force at the specified configuration.

If the link has internal ODE states, the current states can be accessed with link->GetStates().

Parameters

  time | current time
  rest_length | undeformed length
  length | current length
  vel | current velocity (positive when extending)
  link | associated TSDA link

Implements chrono::ChLinkTSDA::ForceFunctor.

## ◆ exportJSON()

rapidjson::Value chrono::vehicle::NonlinearDamperForce::exportJSON | ( | rapidjson::Document::AllocatorType & | allocator | ) |
| overridevirtual

Optional reporting function to generate a JSON value with functor information.

Reimplemented from chrono::ChLinkTSDA::ForceFunctor.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/ChSubsysDefs.h
- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/ChSubsysDefs.cpp